extends State

@export var player: Player
@export var player_movement: PlayerMovement
@export var max_speed: float = 5.0
@export var acceleration: float
@export var weapon_system: WeaponSystem
@export var land_sound: MultiplayerAudio3D

func enter() -> void:
	pass

func exit() -> void:
	pass


func physics_update(delta: float) -> void:
	if not is_multiplayer_authority():
		return
	if player.is_on_floor():
		transition.emit("Stand")
		land_sound.multiplayer_play()
	
	player.velocity += player.get_gravity() * delta
	
	player_movement.process_movement(max_speed * weapon_system.get_speed_modifier(),acceleration,0,delta)
